#! /bin/bash
set -e
QUAYPATH=${QUAYPATH:-"."}
QUAYCONF=${QUAYCONF:-"$QUAYPATH/conf"}
cd ${QUAYDIR:-"/"}

if [ -f "$QUAYCONF/stack/ssl.key" ] && [ -f "$QUAYCONF/stack/ssl.cert" ]; then
    echo 'Using mounted ssl certs for quay-config app'
    cp $QUAYCONF/stack/ssl.key $QUAYDIR/config_app/quay-config.key
    cp $QUAYCONF/stack/ssl.cert $QUAYDIR/config_app/quay-config.cert
else
    echo 'Creating self-signed certs for quay-config app'

    # Create certs to secure connections while uploading config for secrets
    echo '{"CN":"CA","key":{"algo":"rsa","size":2048}}' | cfssl gencert -initca - | cfssljson -bare quay-config
    cp quay-config-key.pem $QUAYDIR/config_app/quay-config.key
    cp quay-config.pem $QUAYDIR/config_app/quay-config.cert
fi
